	
<?php 
 include_once '../cabecera.php';
 include_once '../src/config.php';
 $str = mysql_query("select id_prestamo from prestamos order by id_prestamo desc limit 1") or die(mysql_error());
 $id = @mysql_result($str, 0, "id_prestamo") + 1;
?>

<link rel="stylesheet" type="text/css" href="../src/css/bootstrap.min.css">

<style>





*{
	font-family: verdana;
}

body{
	background: #e6e6e6;
}

</style>



<script src="../src/jquery.js"></script>
<script src="../src/js/bootstrap.min.js"></script>
<script src="../src/moment1.js"></script>
<script src="../src/datatables.js"></script>
<script src="../src/bootstrap_datatable.js"></script>

<?php 
  include("../cabecera.php");
 ?>


<div class="container">
	<br><br>
<div class="row">
	<div class="col-md-8 col-md-offset-2">
		<div class="panel" style="background:white">
			<div class="panel-heading">

              	<img src="../img2/administrar2.png" width="60" style="margin-bottom:0px"><span class="text-primary h3"> Registro de prestamos solo pago de interes</span>
        



			</div>

			<div class="panel-body">
			 	<div class="row mt-2">
  
    <div class="col-xs-2">
				# Cliente: 
  </div>

  	<div class="col-xs-10">
					  <b id="id_cliente2" class="text-ubuntu"><?php echo $_GET["id"]?></b> |
				   <b id="cliente2" class="text-ubuntu"> <?php echo $_GET["nombre"]?></b>
	</div>
</div>

				<br>
 	<div class="row mt-2">
  
    <div class="col-xs-2">
				 <strong>Id</strong>
		</div>
			<div class="col-xs-10">
  				<input type="text"  style="border:none" name="prestamo" placeholder="0" readonly="readonly">
  		</div>
  	</div>		

  				<div class="row mt-2">
  					<div class="col-xs-2">
  						<strong>Capital</strong>
  					</div>

  				<div class="col-xs-10">
					 <input type="text"     class="form-control" id="capital2" name="capital" placeholder="RD$ 0.00 - prestado" onkeyup="calculo1()">
				</div>
				</div>
  <div class="row mt-2">
				<div class="col-xs-2">
  				
  						<strong>Tipo</strong>

  				</div>
            
  				<div class="col-xs-10">
					  <select name="tipo2" id="tipo2" class="form-control">
					  	  <option value="">--Tipo-</option>
					  	   <option value="">--Tipo-</option>
                              <option value="Mensual-5">A 5 Meses</option>
                              <option value="Mensual-6">A 6 Meses</option>
                        	<option value="Diario">Diario</option>
					      <option value="Semanal">Semanal</option>
					      <option value="Quincenal">Quincenal</option>
					      <option value="Mensual">Mensual</option>
					     
					    </select>
				</div>
			</div>
			
		<div class="row mt-2">
		  	<div class="col-xs-2">
		  			<strong>Tasa</strong>
		</div>
		  	
		  <div class="col-xs-10">
				<input type="text"   class="form-control form-control-sm"  value="<?php echo $_POST['tasa']?>" onKeyUp="calculo1()" name="tasa" id="tasa2" placeholder=" % tasa de interes" >
			</div>
		</div>

<div class="row mt-2">
  	<div class="col-xs-2">
  			<strong>Fecha</strong>
  	</div>
  	
  	<div class="col-xs-10">
		  <input type="date" class="form-control form-control-sm"   name="fecha" id="fecha2" placeholder="0" value="<?php echo $hoy?>">

	</div>
</div>

<div class="row mt-2">
<div class="col-xs-2">
 <strong>Valor cuotas</strong>
 
</div>

<div class="col-xs-10">
	  <input type="number" class="form-control form-control-sm"   value="<?php echo $_POST['mcuota']?>" name="mcuota" id="mcuota2" placeholder="RD$ 0.00 - Valor de cada cuota"  onKeyUp="calculo2()">
</div>
</div>

<div class="row mt-2">
<div class="col-xs-2">
 <strong>Garantia</strong>
 
</div>

<div class="col-xs-10">
	  <input type="text" class="form-control form-control-sm"    name="articulo" id="articulo" placeholder="Articulo a empeñar">
</div>
</div>

<div class="row mt-2">
<div class="col-xs-2">
 <strong>Valor garantia</strong>
 
</div>

<div class="col-xs-5">
	  <input type="number" class="form-control form-control-sm"    name="valor_articulo" id="valor_articulo" placeholder="Valor del articulo: 0.00">
</div>
</div>

<div class="row mt-2">


<div class="col-md-12">

	<button onClick="grabar()" name="btnGrabar" id="btnGrabar" class="btn btn-ubuntu"> 
 <i class="bi bi-upload"></i> 
  Grabar</button>

	<button name="btnAtras" id="btnAtras" onClick="window.location.href='ventana.php'" class="btn btn-primary"> 
 <i class="bi bi-box-arrow-right"></i>
Salir</button> 




</div>
</div>


			</div>
		</div>
	</div>
</div>
</div>
		







<script>

var id="<?php echo $id?>";


function calculo1(){
var capital = parseFloat($("#capital2").val());
var mcuota = parseFloat($("#mcuota2").val());

var tasa = parseFloat($("#tasa2").val());
try{
if(isNaN(capital)){capital = 0}
if(isNaN(mcuota)){mcuota = 0}
if(isNaN(tasa)){tasa = 0}

var interes = capital * tasa / 100;


$("#mcuota2").val(interes.toFixed(2));

}catch(e){
$("#msg").html("<span class='msg2'>"+e.message+"</span>");
}

}


function calculo2(){
	var capital = parseFloat($("#capital2").val());
	var mcuota = parseFloat($("#mcuota2").val());
	
	
try{
	if(isNaN(capital)){capital = 0}
	if(isNaN(mcuota)){mcuota = 0}
	
	
	var ganancia = mcuota - capital;
	var tasa = ganancia / capital *100; 
	if(tasa<=0){tasa = 0}  
	$("#tasa2").val(tasa.toFixed(2));
	
}catch(e){
	alert(e.message);
}
}

$(document).ready(function(){
	get_cliente("<?php echo $_GET['id']?>");
})

/*Seleccionar cliente*/
function get_cliente(id){
try{	
	   //activo("no");
		var accion = "get_cliente";
		var url="src/f_clientes.php?id="+id+"&accion="+accion;
		$.get(url,function(data,st){
			if(st=="success"){
				var datos = JSON.parse(data);
				$("#cliente2").html(datos.nombre);
				activo("si");
				//$("#cedula").val(datos.cedula);
				//$("#telefono").val(datos.telefono);
				//$("#direccion").val(datos.direccion);
				//$("#ocupacion").val(datos.ocupacion);
				///$("#email").val(datos.email);
				//$("#id").val(datos.id_cliente);
			////	var co = datos[9];
				//var ru = datos[10]
		
				////$("#cobrador0 option[value='"+co+"']").prop('selected', true);
				//$("#ruta0 option[value='"+ru+"']").prop('selected', true);
				
				
				
			}
		});
	
}catch(e){
		activo("si");
		alert(e.message+"\n"+e.description+"\n"+e.stractrace);
	}
}



/*Grabar prestamo*/
function grabar(){
try{	
var capital = $("#capital2").val();
var fecha = $("#fecha2").val();

var id_cliente = $("#id_cliente2").html();
var cliente = $("#cliente2").html();
var mcuota = $("#mcuota2").val();
var tasa = $("#tasa2").val();
var articulo = $("#articulo").val();
var valor_articulo = $("#valor_articulo").val();
var accion = "grabar_prestamo_abierto";

var parametros="capital="+capital;
parametros+="&fecha="+fecha;

parametros+="&id_cliente="+id_cliente;
parametros+="&mcuota="+mcuota;
parametros+="&tasa="+tasa;
parametros+="&articulo="+articulo;
parametros+="&valor_articulo="+valor_articulo;
parametros+="&tipo="+$("#tipo2").val();
parametros+="&accion="+accion;
var total = parseFloat(mcuota) + parseFloat(capital)
if(capital<=0 || fecha=="" || mcuota<=0){
  alert("*** !Datos incompletos. ***");
  return;
 } 





	activo("no");
	
	$.get("../prestamos/grabar_abierto.php?"+parametros,function(data,st){
		if(st=="success"){
			if(data==1){
				alert("prestamo registrado satisfatoriamente !");
				if($("#articulo").val()!=""){
					window.open("../prestamos/contrato.php?id="+id, "_blank", "toolbar=yes,scrollbars=yes,resizable=no,top=50,left=100,width=600,height=400");
				}
				setTimeout(function(){
					window.location.href="../prestamos.php";
				});
				
			}
			activo("si");
			
		}
	});



}catch(e){
		activo("si");
		alert(e.message+"\n"+e.description+"\n"+e.stractrace);
	}
}






/*Activar y desactivar botones*/
function activo(valor){
	if(valor=="si"){
		$(".btn").prop("disabled",false);
	}else{
		$(".btn").prop("disabled",true);
	}
}
</script>



<?php 
 include_once '../footer.php';

 ?>
